org.apache.ignite.internal.pagemem.wal.record.delta

## Class MetaPageUpdateNextSnapshotId

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.MetaPageUpdateNextSnapshotId

All Implemented Interfaces:
  WalRecordCacheGroupAware

Deprecated.
Will be removed at 3.0. See IGNITE-11139.

    @Deprecated
    public class MetaPageUpdateNextSnapshotId
    extends PageDeltaRecord

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`MetaPageUpdateNextSnapshotId(int grpId, long pageId, long nextSnapshotTag)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `applyDelta(PageMemory pageMem, long pageAddr)` Deprecated. Apply changes from this delta to the given page.
`long` `nextSnapshotId()` Deprecated.
`String` `toString()` Deprecated.
`WALRecord.RecordType` `type()` Deprecated.

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`fullPageId, groupId, pageId`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MetaPageUpdateNextSnapshotId

    public MetaPageUpdateNextSnapshotId(int grpId,
                                        long pageId,
                                        long nextSnapshotTag)

Deprecated.

Parameters:
  `pageId` - Meta page ID.

### Method Detail

#### applyDelta

    public void applyDelta(PageMemory pageMem,
                           long pageAddr)
                    throws IgniteCheckedException

Deprecated.
Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Specified by:
  `applyDelta` in class `PageDeltaRecord`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### type

    public WALRecord.RecordType type()

Deprecated.

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### nextSnapshotId

    public long nextSnapshotId()

Deprecated.

Returns:
  Root ID.

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `PageDeltaRecord`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020